{
    "$graph": [
        {
            "id": "#tool",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "expressionLib": [
                        "function foo() { return 2; }"
                    ],
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [],
            "arguments": [
                "echo",
                "$(foo())"
            ],
            "stdout": "whatever.txt",
            "outputs": [
                {
                    "type": "File",
                    "id": "#tool/out",
                    "outputBinding": {
                        "glob": "whatever.txt"
                    }
                }
            ]
        },
        {
            "id": "#main",
            "class": "Workflow",
            "requirements": [
                {
                    "expressionLib": [
                        "function bar() { return 1; }"
                    ],
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/tool/out",
                    "id": "#main/out"
                }
            ],
            "steps": [
                {
                    "run": "#tool",
                    "in": [],
                    "out": [
                        "#main/tool/out"
                    ],
                    "id": "#main/tool"
                }
            ]
        }
    ],
    "cwlVersion": "v1.0"
}
